Bug 232088 - benchmarks/sipp: Fix OpenSSL 1.1.x build
Summary: benchmarks/sipp: Fix OpenSSL 1.1.x build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-08 21:22 UTC by Nathan
Modified: 2018-11-06 06:05 UTC (History)
2 users (show)

See Also:
farrokhi: maintainer-feedback+


Attachments
Fix OpenSSL 1.x build (2.99 KB, patch)
2018-10-08 21:22 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.x build (2.99 KB, patch)
2018-10-08 21:25 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.x build (2.92 KB, patch)
2018-10-08 21:26 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.1.x build (3.13 KB, patch)
2018-10-08 21:33 UTC, Nathan
ndowens04: maintainer-approval? (farrokhi)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-08 21:22:31 UTC
Created attachment 197931 [details]
Fix OpenSSL 1.x build
Comment 1 Nathan 2018-10-08 21:23:10 UTC
Comment on attachment 197931 [details]
Fix OpenSSL 1.x build

benchmarks/sipp:
 
 * Fix OpenSSL 1.1.x build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 2 Nathan 2018-10-08 21:25:02 UTC
Created attachment 197932 [details]
Fix OpenSSL 1.x build

 benchmarks/sipp:
 
 * Fix OpenSSL 1.1.x build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 3 Nathan 2018-10-08 21:26:28 UTC
Created attachment 197933 [details]
Fix OpenSSL 1.x build

 benchmarks/sipp:
 
 * Fix OpenSSL 1.1.x build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 4 Nathan 2018-10-08 21:33:40 UTC
Created attachment 197934 [details]
Fix OpenSSL 1.1.x build

 benchmarks/sipp:
 
 * Fix OpenSSL 1.1.x build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>

Sorry for the pings, this should be the last. Found some things I forgot to edit
Comment 5 Babak Farrokhi freebsd_committer 2018-10-09 05:13:24 UTC
LGTM. Thanks.
Comment 6 Tobias Kortkamp freebsd_committer 2018-11-05 23:08:24 UTC
(In reply to Babak Farrokhi from comment #5)
Ping.
Comment 7 commit-hook freebsd_committer 2018-11-06 06:03:22 UTC
A commit references this bug:

Author: farrokhi
Date: Tue Nov  6 06:02:28 UTC 2018
New revision: 484277
URL: https://svnweb.freebsd.org/changeset/ports/484277

Log:
  benchmarks/sipp: Fix OpenSSL 1.1.x build

  PR:		232088
  Submitted by:	Nathan <ndowens@yahoo.com>

Changes:
  head/benchmarks/sipp/Makefile
  head/benchmarks/sipp/files/patch-configure.ac
Comment 8 Babak Farrokhi freebsd_committer 2018-11-06 06:05:22 UTC
Committed. Thanks!